DK API 文档

douyin 12

15 个接口

GETfetch user profile by uid

GET https://dkai.store/api/v1/douyin/web/fetch_user_profile_by_uid

1 积分 / 成功调用

参数位置要求说明
uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_user_profile_by_uid?uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch video channel result

GET https://dkai.store/api/v1/douyin/web/fetch_video_channel_result

1 积分 / 成功调用

参数位置要求说明
tag_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_video_channel_result?tag_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch video comment replies

GET https://dkai.store/api/v1/douyin/web/fetch_video_comment_replies

1 积分 / 成功调用

参数位置要求说明
item_idquery必填
comment_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_video_comment_replies?item_id=VALUE&comment_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch video comments

GET https://dkai.store/api/v1/douyin/web/fetch_video_comments

1 积分 / 成功调用

参数位置要求说明
aweme_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_video_comments?aweme_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTget all aweme id

POST https://dkai.store/api/v1/douyin/web/get_all_aweme_id

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTget all sec user id

POST https://dkai.store/api/v1/douyin/web/get_all_sec_user_id

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTget all webcast id

POST https://dkai.store/api/v1/douyin/web/get_all_webcast_id

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget aweme id

GET https://dkai.store/api/v1/douyin/web/get_aweme_id

1 积分 / 成功调用

参数位置要求说明
urlquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/get_aweme_id?url=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget sec user id

GET https://dkai.store/api/v1/douyin/web/get_sec_user_id

1 积分 / 成功调用

参数位置要求说明
urlquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/get_sec_user_id?url=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget webcast id

GET https://dkai.store/api/v1/douyin/web/get_webcast_id

1 积分 / 成功调用

参数位置要求说明
urlquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/get_webcast_id?url=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GEThandler shorten url

GET https://dkai.store/api/v1/douyin/web/handler_shorten_url

1 积分 / 成功调用

参数位置要求说明
target_urlquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/handler_shorten_url?target_url=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GEThandler user profile

GET https://dkai.store/api/v1/douyin/web/handler_user_profile

1 积分 / 成功调用

参数位置要求说明
sec_user_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/handler_user_profile?sec_user_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GEThandler user profile v2

GET https://dkai.store/api/v1/douyin/web/handler_user_profile_v2

1 积分 / 成功调用

参数位置要求说明
unique_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/handler_user_profile_v2?unique_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GEThandler user profile v3

GET https://dkai.store/api/v1/douyin/web/handler_user_profile_v3

1 积分 / 成功调用

参数位置要求说明
uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/handler_user_profile_v3?uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GEThandler user profile v4

GET https://dkai.store/api/v1/douyin/web/handler_user_profile_v4

3 积分 / 成功调用

参数位置要求说明
sec_user_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/handler_user_profile_v4?sec_user_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。